List Users
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal server error"
}
Advertiser Users
List Users
List of users who can access the Advertiser’s account in the admin portal. You can also view this on the Advertiser’s Users page in the admin portal.
GET
/
advertisers
/
{advertiserID}
/
users
List Users
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.embedads.com/advertisers/{advertiserID}/users")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal server error"
}
Query Parameters
string
default:"10"
The maximum number of advertisers to return. Must be between 1 and 20.
string
default:"1"
The page number of the results.
Path Parameters
number
required
The advertiser ID.
Response
number
The advertiser ID.
string
The email address of the user.
string
A timestamp of when the user was created.
string
The role of the user. Currently, only
ADMIN is supported.[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal server error"
}